# Set-RASURLRedirectionEntry.md

## NAME

Set-RASURLRedirectionEntry

## SYNOPSIS

Modifies a URL redirection entry.

## SYNTAX

**Set-RASURLRedirectionEntry** -[Id](#id-string) *(uint)* \[-[Action](#Action) {DoNotRedirect | Redirect}] \[[Enabled](#enabled-string) *(bool)*] \[-[Priority](#Priority) {Up | Down}] \[[SiteId](#siteid-string) *(uint)*] \[[URL](#url-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies the active URL redirection settings for the current site.

## PARAMETERS

## Id (uint)

The ID of the URL redirection to modify.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Enabled (bool)

Whether the URL redirection will be enabled or disabled.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## URL (string)

The URL to redirect or not.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Action ([RedirectActionType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/redirectactiontype.md))

The redirect action type.

Possible values: DoNotRedirect, Redirect

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Priority ([MoveDirection](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/movedirection.md))

The direction to move the URL redirection: Up or Down (changes the priority of the URL redirection accordingly)

Possible values: Up, Down

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to modify the specified URL redirection settings.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASURLRedirectionEntry -Id 1 -Action Redirect

Modifies the action of the URL redirection with Id 1 for the current site to Redirect.

## RELATED LINKS

* [Get-RASURLRedirectionSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasurlredirectionsettings.md)
* [Set-RASURLRedirectionSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasurlredirectionsettings.md)
* [Add-RASURLRedirectionEntry](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasurlredirectionentry.md)
* [Remove-RASURLRedirectionEntry](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasurlredirectionentry.md)
* [Get-RASURLRedirectionEntry](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasurlredirectionentry.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasurlredirectionentry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
